package main

import (
	"database/sql"
	"fmt"
	"math/rand"
	"time"
)
import _ "github.com/go-sql-driver/mysql"

type Post struct {
	Id int
	Content string
	Author string
	Comments []Comment
}

type Comment struct {
	Id int
	Content string
	Author string
	Post *Post
}

var Db *sql.DB

func echoError(err error) {
	if err != nil {
		panic(err)
	}
}

func init()  {
	//[username[:password]@][protocol[(address)]]/dbname[?param1=value1&...&paramN=valueN]
	var err error
	Db,err = sql.Open("mysql", "root:ibaotu@tcp(127.0.0.1:3308)/t" )
	echoError(err)

	err = Db.Ping()
	echoError(err)
}

func (post *Post)create()(id int , err error) {
	sql := "insert into posts (content,author) values (?, ?)"
	stmt,_ := Db.Prepare(sql)
	defer stmt.Close()
	_,err = stmt.Query(post.Content, post.Author)

	Db.QueryRow("select max(id) as id from posts").Scan(&id)
	return
}

func (comment *Comment)create()(err error)  {
	_,err = Db.Query("insert into comments (content,author,post_id) values (?,?,?)",
		comment.Content,comment.Author,comment.Post.Id)
	return
}

func randNumber()(num int) {
	rand.Seed(time.Now().Unix())
	num = rand.Intn(500)
	return
}

/**
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
`content` varchar(255) DEFAULT NULL,
`author` varchar(255) DEFAULT NULL,


CREATE TABLE `comments` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `content` varchar(255) DEFAULT NULL,
  `author` varchar(255) DEFAULT NULL,
  `post_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8

 */

func getPost(id int)(post Post) {

	Db.QueryRow("select id,content,author from posts where id = ?",id).Scan(&post.Id,&post.Content,&post.Author)

	rows,err := Db.Query("SELECT id,content,author from comments where post_id = ?",post.Id)
	echoError(err)
	defer rows.Close()

	for rows.Next() {
		comment := Comment{Post:&post}
		err = rows.Scan(&comment.Id,&comment.Content,&comment.Author)
		echoError(err)
		post.Comments = append(post.Comments,comment)
	}

	return
}

func main(){
	/*post := Post{ Content:"it'is a",Author:"a"}
	id,err := post.create()
	echoError(err)
	post.Id = id*/


	/*post2 := Post{Id:2}
	commoent := Comment{Content:"评论"+strconv.Itoa(randNumber()),Author:"作者"+strconv.Itoa(randNumber()), Post:&post2}
	err := commoent.create()
	echoError(err)*/

	post := getPost(2)


	fmt.Printf(" I D:%d\n 内容:%s\n 作者:%s\n ", post.Id,post.Content,post.Author)
	fmt.Println("评论:")
	for _,v := range  post.Comments {
		fmt.Printf("		%s -- %s\n",v.Content,v.Author)
	}
}