package main

import (
	"encoding/json"
	"fmt"
	"github.com/hprose/hprose-golang/io"
	"io/ioutil"
	"os"
	"time"
)

type   Post struct {
	Id int `json:"id"`
	Title string `json:"title"`
	Content string `json:"content"`
	Comment []Comment `json:"comment"`
}

type Comment struct {
	Name string `json:"name"`
	Content string `json:"content"`
	Pid int `json:"pid"`
}

func create() {
	post := Post{
		Id:1,
		Title:"title",
		Content:"content",
		Comment:[]Comment{
			{Name:"name1",Content:"content1",Pid:1},
			{Name:"name2",Content:"content1",Pid:2},
			{Name:"name3",Content:"content1",Pid:3},
		},
	}

	file,_ :=os.Create("post.json")
	defer  file.Close()
	byteJson,_ := json.MarshalIndent(post,"","\t\t")
	file.Write(byteJson)
	
}

func read(fileNmae string)(post Post) {
	byteJson,_ := ioutil.ReadFile(fileNmae)
	json.Unmarshal(byteJson, &post)
	return
}

func read2(fileNmae string)(post Post) {
	byteJson,_ := ioutil.ReadFile(fileNmae)
	dec := json.NewDecoder(io.NewByteReader(byteJson))
	dec.Decode(&post)
	return
}

func time10s() {
	time.Sleep(10*time.Second)
}

func time5s() {
	time.Sleep(5*time.Second)
}

func time3s() {
	time.Sleep(3 * time.Second)
}

func main()  {
	/*time10s()
	time5s()
	time3s()*/


	fmt.Println(read("post.json"))
	fmt.Println(read2("post.json"))
}
