package main

import (
	"bytes"
	"fmt"
	"gopkg.in/gographics/imagick.v3/imagick"
	"io"
	"io/ioutil"
	"net/http"
	"os"
	"regexp"
	"sync"
	"time"
)

var temp string

func init(){
	temp = "temp/"
}
func EchoError(err error)  {
	if( err != nil) {
		panic(err)
	}
}

/**
	获取远程图片保存本地
 */
func GetHttpImage(dir string,url string, ws *sync.WaitGroup) (fileName string) {

	re,_ := http.Get(url)

	if (re.StatusCode != 200){
		ws.Done()
		return
	}

	reg,_ := regexp.Compile(`(\w|\d|_)*.jpg`)
	fileName = dir + "/" + reg.FindStringSubmatch(url)[0]

	file,_ := os.Create(fileName)

	img,_ := ioutil.ReadAll(re.Body)
	io.Copy(file,bytes.NewBuffer(img))

	ws.Done()
	return
}

func Aveg (img string,chanFile chan map[string][3]uint,	wg *sync.WaitGroup)(reV [3]uint) {


	imagick.Initialize()
	defer imagick.Terminate()
	mw := imagick.NewMagickWand()
	err := mw.ReadImage(img)

	EchoError(err)
	width  := mw.GetImageWidth()
	height := mw.GetImageHeight()

	var w uint
	var h uint

	var R uint
	var G uint
	var B uint

	totalPix := width*height


	for w = 0; w <= width ; w++ {
		for h = 0; h <= height ; h++ {
			colr,_ := mw.GetImagePixelColor(int(w),int(h))
			R += uint(255 *colr.GetRed())
			G += uint(255 *colr.GetGreen())
			B += uint(255 *colr.GetBlue())

		}
	}
	reV = [3]uint{R/totalPix, G/totalPix, B/totalPix}

	info := make(map[string][3]uint)
	info[img] = reV

	if(chanFile != nil){
		wg.Done()
		chanFile <- info
	}

	return reV
}

func ReSize (img string, uWidth int ) {
	imagick.Initialize()
	defer imagick.Terminate()

	mw := imagick.NewMagickWand()
	mw.ReadImage(img)

	width := mw.GetImageWidth()
	heidth := mw.GetImageHeight()

	s := uint(int(width)/uWidth)
	fmt.Println(s)
	width = uint(width/s)
	heidth = uint(heidth/s)

	mw.ResizeImage(width,heidth,imagick.FILTER_LANCZOS)

	 err := mw.WriteImage(img+".jpg")

	 EchoError(err)
}


func getImagesColor() {
	files,_ := ioutil.ReadDir("images")
	db := make(map[string][3]uint)

	wsNumber := 10
	chanFile := make(chan map[string][3]uint,wsNumber)
	wg := sync.WaitGroup{}
	wg.Add(10)

	fileLen := len(files)
	fmt.Println(fileLen)

	for k,v := range files{
		flieName := "images/" + v.Name()
		fmt.Println(flieName)


		go Aveg(flieName,chanFile, &wg)

		fmt.Println(k+1)

		if((k+1)%wsNumber == 0 && k!=0){
			fmt.Println("等待10任务")
			wg.Wait()
			wg.Add(10)
			fmt.Println("完成10任务")
		}

	}


	for{
		select {
		case v := <-chanFile:

			for k,value :=range v {
				fmt.Println(k)
				fmt.Println(value)
				db[k] = value

			}

			if(len(db) == fileLen){
				time.Sleep(1* time.Second)
				goto L
			}
		}
	}

L:

	fmt.Println(db)
}


func downimages(){
	list :=[] string{"/01/73/84/19B888piCJmN.jpg","/01/73/84/15J888piC7Yz.jpg","/01/73/84/14P888piCyae.jpg","/01/73/84/12P888piCbCG.jpg","/01/73/84/10F888piCtZG.jpg","/01/73/84/13F888piC94E.jpg","/01/73/84/11r888piCD8p.jpg","/01/73/84/096888piC4Bm.jpg","/01/73/84/085888piC6dj.jpg","/01/73/84/07j888piCAHG.jpg","/01/73/84/06Y888piCbCd.jpg","/01/73/83/96X888piCyrA.jpg","/01/73/84/05v888piCfUt.jpg","/01/73/84/03E888piCqbd.jpg","/01/73/84/04s888piCVfe.jpg","/01/73/84/00s888piCdHU.jpg","/01/73/83/99w888piC7Im.jpg","/01/73/84/02Y888piCiZj.jpg","/01/73/84/015888piC9d7.jpg","/01/73/83/98Q888piCRxw.jpg","/01/73/83/97p888piCSNb.jpg","/01/73/83/95I888piCHS5.jpg","/01/73/83/94F888piCfDv.jpg","/01/73/83/90e888piCbit.jpg","/01/73/83/93y888piCNEY.jpg","/01/73/83/92d888piC46w.jpg","/01/73/83/91r888piCvBN.jpg","/01/73/82/81t888piCu3R.jpg","/01/73/82/83x888piCXIe.jpg","/01/73/82/84f888piCqJu.jpg","/01/73/82/85H888piCkG5.jpg","/01/73/83/89d888piCfMA.jpg","/01/73/83/88r888piCQBE.jpg","/01/73/83/87n888piCZbz.jpg","/01/73/83/86M888piCazE.jpg","/01/73/83/85V888piCRc8.jpg","/01/73/83/84v888piCfhU.jpg","/01/73/83/83E888piCj8X.jpg","/01/73/83/82a888piCPjT.jpg","/01/73/83/81c888piCK5H.jpg","/01/73/83/80m888piC9AE.jpg","/01/73/83/79K888piCnjR.jpg","/01/73/83/78C888piCu6T.jpg","/01/73/83/76b888piCB49.jpg","/01/73/83/75A888piCjzr.jpg","/01/73/83/74Q888piCIt8.jpg","/01/73/83/73X888piCMky.jpg","/01/73/83/72p888piCCQX.jpg","/01/73/83/716888piCVdr.jpg","/01/73/83/67Q888piCze5.jpg","/01/73/83/70z888piCSZa.jpg","/01/73/83/68X888piCq2a.jpg","/01/73/83/69Z888piCufz.jpg","/01/73/83/66u888piCjbw.jpg","/01/73/83/65p888piCmwd.jpg","/01/73/83/64P888piCr5w.jpg","/01/54/65/91YpIkbEsTeJ8.jpg","/01/54/63/11dpIkbEsTQE3.jpg","/01/54/62/94qpIkbEsTkpv.jpg","/01/54/62/86wpIkbEsTnxz.jpg","/01/73/83/63W888piCsM6.jpg","/01/73/83/62C888piCMv8.jpg","/01/73/83/61Y888piCBrX.jpg","/01/73/83/60C888piCtk8.jpg","/01/73/83/59I888piCAx6.jpg","/01/73/83/474888piCnfs.jpg","/01/73/83/44Y888piCHGS.jpg","/01/73/83/58M888piCKre.jpg","/01/73/83/57j888piCWka.jpg","/01/73/83/55D888piC8d3.jpg","/01/73/83/56M888piCmK2.jpg","/01/73/83/53R888piC657.jpg","/01/73/83/49J888piCk2U.jpg","/01/73/83/54x888piCzGV.jpg","/01/73/82/97E888piCGeN.jpg","/01/73/83/52B888piCEzU.jpg","/01/73/83/51d888piCnri.jpg","/01/73/83/48p888piC2sz.jpg","/01/73/83/506888piCy3q.jpg","/01/73/83/34p888piCBq2.jpg","/01/73/83/46V888piCiGR.jpg","/01/73/83/38n888piCVMG.jpg","/01/73/83/408888piCzFE.jpg","/01/73/83/43E888piC6jT.jpg","/01/73/83/42R888piChdM.jpg","/01/73/83/39Q888piCxuK.jpg","/01/73/83/45J888piCjZc.jpg","/01/73/83/286888piCCV2.jpg","/01/73/83/888piC6y888piCvHf.jpg","/01/73/83/41S888piCIJX.jpg","/01/73/83/37e888piCfJc.jpg","/01/73/83/33b888piCd4X.jpg","/01/73/83/35B888piCjZh.jpg","/01/73/83/30Q888piCpJq.jpg","/01/73/83/32R888piCr7e.jpg","/01/73/83/295888piC3xe.jpg","/01/73/83/31i888piCZ83.jpg","/01/73/83/27E888piC7jz.jpg","/01/73/83/248888piCQwC.jpg","/01/73/83/22x888piCmCM.jpg","/01/73/83/268888piCiB5.jpg","/01/73/83/25X888piCZmK.jpg","/01/73/83/197888piC5Qi.jpg","/01/73/83/21U888piCkdh.jpg","/01/73/83/238888piCM62.jpg","/01/73/83/20c888piCKhp.jpg","/01/73/83/16v888piCRcZ.jpg","/01/73/83/17U888piChmE.jpg","/01/73/83/14k888piCber.jpg","/01/73/83/13V888piCeWM.jpg","/01/73/83/10z888piCvh5.jpg","/01/73/83/069888piCIWS.jpg","/01/73/82/90x888piCIhA.jpg","/01/73/83/07q888piCcgb.jpg","/01/73/83/05T888piCqiB.jpg","/01/73/81/64Y888piCueM.jpg","/01/73/83/04t888piCTWn.jpg","/01/73/83/03x888piC58z.jpg","/01/73/83/02I888piCai8.jpg","/01/73/82/96M888piCdaj.jpg","/01/73/83/002888piCNFK.jpg","/01/73/82/95I888piCHhd.jpg","/01/73/82/94G888piCimf.jpg","/01/73/82/93S888piCG2Y.jpg","/01/73/82/99e888piCZYD.jpg","/01/73/82/92H888piCs6V.jpg","/01/73/82/91W888piCFrE.jpg","/01/73/82/87Z888piC3rN.jpg","/01/73/82/89N888piCHki.jpg","/01/73/82/88b888piCzCr.jpg","/01/73/82/86c888piCMJY.jpg","/01/73/82/82s888piCQq7.jpg","/01/73/82/80F888piCKbd.jpg","/01/73/82/77Y888piC6uf.jpg","/01/73/82/74Y888piCt9i.jpg","/01/73/82/888piC5G888piChZF.jpg","/01/73/82/76d888piCbfB.jpg","/01/73/82/73C888piCz7f.jpg","/01/73/82/722888piCug8.jpg","/01/73/82/71y888piCpBU.jpg","/01/73/82/70e888piCH7T.jpg","/01/73/82/68b888piCRa4.jpg","/01/73/82/69T888piC7Aa.jpg","/01/73/82/67s888piCbXa.jpg","/01/73/82/66c888piCq5Q.jpg","/01/73/82/659888piCdyK.jpg","/01/73/82/64M888piCsj3.jpg","/01/73/82/60s888piCRIF.jpg","/18/44/37/19g888piCBYw.jpg","/01/73/82/63c888piCMX3.jpg","/01/73/82/616888piC4yz.jpg","/01/73/82/594888piCMtx.jpg","/01/73/82/54h888piCCT6.jpg","/01/73/82/57f888piC5jY.jpg","/01/73/82/56R888piCFpz.jpg","/01/73/82/536888piCY3h.jpg","/01/73/82/52x888piCcNh.jpg","/01/73/82/55C888piCgzm.jpg","/01/73/82/51n888piCwzW.jpg","/01/73/82/50R888piCust.jpg","/01/73/82/49Y888piCjC5.jpg","/01/73/82/47G888piCtMC.jpg","/01/73/82/48j888piCHW4.jpg","/01/73/82/46E888piCcAb.jpg","/01/73/82/43f888piCqIk.jpg","/01/73/82/45v888piCmnZ.jpg","/01/73/82/41S888piC2za.jpg","/01/73/82/44i888piCHfj.jpg","/01/73/82/40c888piCKNs.jpg","/01/73/82/21I888piCpfk.jpg","/01/73/82/19F888piCK7T.jpg","/01/73/82/39T888piCmyG.jpg","/01/73/82/12G888piCV96.jpg","/01/73/82/10G888piCvDM.jpg","/01/73/82/37d888piC8N4.jpg","/01/73/82/384888piCMBV.jpg","/01/73/82/42p888piCR2C.jpg","/01/73/82/13y888piCv3r.jpg","/01/73/82/15S888piCPGA.jpg","/01/73/82/23h888piCzxZ.jpg","/01/73/82/22R888piCiNu.jpg","/01/73/82/35T888piCKbF.jpg","/01/73/82/34D888piC8Ud.jpg","/01/73/82/31J888piCVNx.jpg","/01/73/82/06Y888piCv8p.jpg","/01/73/82/36B888piCdNT.jpg","/01/73/82/33D888piCS5h.jpg","/01/73/82/27A888piCUIC.jpg","/01/73/82/26D888piChIM.jpg","/01/73/82/09F888piC8Qw.jpg","/01/73/82/08V888piC9cN.jpg","/01/73/82/079888piCfb5.jpg","/01/73/82/05I888piCaTF.jpg","/01/73/82/04e888piCG5U.jpg","/01/73/82/03e888piCERN.jpg","/01/73/82/024888piCivN.jpg","/01/73/82/01E888piC6bI.jpg","/01/73/82/00C888piC3Vk.jpg","/01/73/81/98C888piCSWk.jpg","/01/73/81/99k888piC5TX.jpg","/01/73/81/87K888piCuWV.jpg","/01/73/81/959888piCz2w.jpg","/01/73/81/94i888piCKfD.jpg","/01/73/81/88H888piCZEB.jpg","/01/73/78/21W888piC6Fn.jpg","/01/73/81/90y888piCHRD.jpg","/01/73/81/97s888piCPMG.jpg","/01/73/81/93u888piCi8p.jpg","/01/73/81/92n888piCit6.jpg","/01/73/81/89J888piCFMj.jpg","/01/73/81/91Q888piCTVf.jpg","/01/73/81/746888piCDHR.jpg","/01/73/81/75e888piCSCG.jpg","/01/73/81/764888piCJU9.jpg","/18/44/36/536888piCWNh.jpg","/01/73/81/77N888piCKdQ.jpg","/01/73/81/84s888piChUn.jpg","/18/44/36/50z888piCmWJ.jpg","/01/73/81/63e888piC7JB.jpg","/18/44/36/48I888piCUux.jpg","/01/73/81/737888piCDiv.jpg","/01/73/81/78d888piCRkX.jpg","/01/73/81/70p888piCTeC.jpg","/18/44/36/44J888piCHgs.jpg","/01/73/81/797888piCpGB.jpg","/18/44/36/426888piC7qi.jpg","/01/73/81/80e888piCAVp.jpg","/01/73/81/72P888piCvj4.jpg","/01/73/81/719888piCGeK.jpg","/01/73/81/68X888piCbNP.jpg","/01/73/81/69z888piCurg.jpg","/01/73/81/65r888piCTnM.jpg","/01/73/81/66W888piC2XD.jpg","/01/73/81/67W888piCFpH.jpg","/01/73/81/626888piCgZx.jpg","/01/73/81/60I888piC2we.jpg","/01/73/81/59e888piCASR.jpg","/18/44/36/30x888piC9vJ.jpg","/01/73/81/588888piCKMa.jpg","/01/73/81/57v888piC8JH.jpg","/01/73/81/52i888piCaIn.jpg","/01/73/81/562888piCzcZ.jpg","/01/73/81/55P888piCpHn.jpg","/01/73/81/40b888piCSNV.jpg","/01/73/81/54W888piCPYj.jpg","/01/73/81/53P888piCUXE.jpg","/01/73/81/51u888piCVky.jpg","/01/73/81/50A888piCpCP.jpg","/01/73/81/47k888piCEPM.jpg","/18/44/36/18i888piCDUs.jpg","/01/73/81/49a888piCGJU.jpg","/01/73/81/45c888piCypG.jpg","/01/73/81/46V888piCsaR.jpg","/01/73/81/437888piCd6x.jpg","/01/73/81/44h888piCGxn.jpg","/01/73/81/42B888piCjcR.jpg","/01/73/81/41N888piC7dm.jpg","/01/73/81/29s888piCYqP.jpg","/01/73/80/56W888piC3aJ.jpg","/01/73/81/18e888piCgs5.jpg","/01/73/81/11F888piCZSN.jpg","/01/73/81/033888piCMkg.jpg","/01/73/80/92G888piCZYr.jpg","/01/73/80/83Y888piCcAU.jpg","/01/73/80/598888piCRAW.jpg","/01/73/81/36p888piCUXM.jpg","/01/73/81/38d888piC6GF.jpg","/01/73/81/35Z888piCtGD.jpg","/01/73/81/888piC77888piCdDE.jpg","/01/73/81/34d888piCVaR.jpg","/01/73/81/325888piCTPw.jpg","/01/73/81/31t888piCxsn.jpg","/01/73/81/28W888piCmhF.jpg","/01/73/81/27E888piCiYg.jpg","/01/73/81/267888piCDEW.jpg","/01/73/81/24q888piCKTe.jpg","/01/73/81/25W888piCx69.jpg","/01/73/81/235888piCIiq.jpg","/01/73/81/22Q888piCP9F.jpg","/01/73/81/19e888piCx5J.jpg","/01/73/81/21C888piC6Bg.jpg","/01/73/81/20r888piC25w.jpg","/18/44/35/85g888piC5T2.jpg","/01/73/81/14q888piCiH5.jpg","/18/44/35/83A888piCnf6.jpg","/01/73/81/175888piCBhF.jpg","/18/44/35/81b888piCTti.jpg","/01/73/81/10a888piCwmc.jpg","/01/73/81/09J888piCfAM.jpg","/01/73/81/02w888piCr8p.jpg","/01/73/81/04X888piCMWt.jpg","/01/73/81/05k888piCPYp.jpg","/01/73/81/005888piCy8z.jpg","/01/73/81/01r888piCX4U.jpg","/01/73/80/99P888piCeSg.jpg","/01/73/80/98h888piCDgt.jpg","/01/73/80/97j888piCaWn.jpg","/01/73/80/88u888piCMQq.jpg","/01/73/80/96a888piCJEm.jpg","/01/73/80/956888piCwmy.jpg","/01/73/80/94J888piCYwA.jpg","/01/73/80/93p888piCP4c.jpg","/01/73/80/91C888piCjAG.jpg","/01/73/80/90u888piCGvC.jpg","/01/73/80/89F888piCMHU.jpg","/01/73/80/87f888piCrYR.jpg","/01/73/80/86C888piCZIy.jpg","/01/73/80/846888piC9mD.jpg","/01/73/80/85a888piCQ5r.jpg","/01/73/80/804888piCZeY.jpg","/01/73/80/79R888piCY9F.jpg","/01/73/80/78y888piCPjD.jpg","/01/73/80/82S888piCcdk.jpg","/01/73/80/77V888piCdAk.jpg","/01/73/80/81a888piCGSW.jpg","/01/73/80/74n888piCRqt.jpg","/01/73/80/60W888piCf3N.jpg","/18/44/35/50P888piCDIq.jpg","/18/44/35/49W888piCv72.jpg","/18/44/35/48m888piCjW7.jpg","/18/44/35/472888piCcEU.jpg","/01/73/80/70Z888piC8M6.jpg","/01/73/80/69T888piCCKm.jpg","/18/44/35/44R888piCbVP.jpg","/18/44/35/438888piCksB.jpg","/01/73/80/66A888piCaQj.jpg","/18/44/35/419888piCxXz.jpg","/01/73/80/64a888piCjuF.jpg","/18/44/35/395888piC8WG.jpg","/01/73/80/61U888piCPGA.jpg","/01/73/80/629888piCB3c.jpg","/01/73/78/34s888piCd6c.jpg","/01/73/78/33b888piCEF8.jpg","/01/73/80/36w888piCcJ5.jpg","/01/73/80/58S888piCzGH.jpg","/01/73/80/57d888piCck9.jpg","/01/73/80/557888piCyGu.jpg","/01/73/80/53p888piCUkI.jpg","/01/73/80/54j888piCSkB.jpg","/01/73/78/3888piCh888piCcbm.jpg","/01/73/80/52z888piCuAS.jpg","/01/73/80/51e888piChYS.jpg","/01/73/80/50V888piC6Yw.jpg","/01/73/80/49I888piCb7U.jpg","/01/73/80/48V888piCI45.jpg","/01/73/80/47W888piCwzK.jpg","/01/73/80/46Z888piC5Is.jpg","/01/73/80/45v888piCsCi.jpg","/01/73/80/42Z888piC2rt.jpg","/01/73/80/43G888piCzWa.jpg","/01/73/80/44D888piCU3p.jpg","/01/73/78/31H888piCJxq.jpg","/01/73/80/407888piCjQF.jpg","/01/73/80/41w888piCyr7.jpg","/01/73/80/397888piCKjp.jpg","/01/73/80/38X888piCarC.jpg","/18/44/35/116888piC9xn.jpg","/01/73/78/30J888piCX2k.jpg","/01/73/80/888piC6k888piCFXM.jpg","/18/44/35/08R888piCwre.jpg","/01/73/80/356888piCeG9.jpg","/01/73/80/28c888piCjq6.jpg","/01/73/80/34J888piC9Zs.jpg","/01/73/80/279888piC6dv.jpg","/01/73/80/33B888piChW5.jpg","/01/73/80/294888piCuwp.jpg","/01/73/80/32K888piCN54.jpg","/01/73/80/303888piCg8K.jpg","/01/73/80/319888piCZBi.jpg","/01/73/80/25c888piC6DF.jpg","/18/44/34/97g888piCV2N.jpg","/01/73/80/216888piCMIj.jpg","/01/73/80/18N888piCmQY.jpg","/01/73/80/22G888piC9U6.jpg","/01/73/80/20t888piCzwe.jpg","/01/73/80/19F888piCTZU.jpg","/01/73/80/167888piCyQp.jpg","/01/73/80/17M888piCZv3.jpg","/01/73/80/156888piCHAu.jpg","/01/73/80/13G888piCiVk.jpg","/01/73/80/12u888piC5nh.jpg","/01/73/80/097888piCgvx.jpg","/01/73/78/29b888piCD6K.jpg","/01/73/80/11y888piC8tG.jpg","/01/73/78/27A888piCmr4.jpg","/01/73/80/10X888piCZRY.jpg","/01/73/80/05N888piCDKy.jpg","/01/73/80/087888piCbXH.jpg","/01/73/80/06r888piCh4B.jpg","/01/73/80/07X888piCjUS.jpg","/01/73/80/0888piCg888piCPSR.jpg","/01/73/78/25v888piC3RJ.jpg","/01/73/80/015888piCMAm.jpg","/01/73/80/02n888piCBYv.jpg","/01/73/80/008888piC6hf.jpg","/01/73/79/99N888piCHKt.jpg","/18/44/34/71h888piCtXS.jpg","/01/73/79/98j888piCvVf.jpg","/01/73/79/96Y888piCkxj.jpg","/01/73/79/958888piC3wK.jpg","/01/73/79/947888piCvgf.jpg","/01/73/79/93g888piCPBs.jpg","/01/73/79/91w888piCacv.jpg","/01/73/79/928888piCAaz.jpg","/01/73/79/89r888piCIHy.jpg","/18/44/34/62i888piCWqz.jpg","/18/44/34/618888piCfbp.jpg","/01/73/79/87U888piCezc.jpg","/18/44/34/59G888piCK8B.jpg","/18/44/34/58y888piCjXM.jpg","/01/73/79/83Q888piCd5V.jpg","/01/73/79/84m888piCMnx.jpg","/01/73/79/81T888piCaiG.jpg","/01/73/79/82B888piCWxJ.jpg","/01/73/79/80Q888piCc86.jpg","/01/73/79/77X888piCGDR.jpg","/01/73/79/78g888piCNsA.jpg","/01/73/79/7888piC8888piCIwh.jpg","/01/73/79/766888piCnKA.jpg","/01/73/79/74m888piCdrj.jpg","/01/73/79/756888piCtAh.jpg","/01/73/79/71n888piCMc2.jpg","/01/73/79/7888piC8888piCScB.jpg","/01/73/79/69M888piCtBY.jpg","/01/73/79/888piC3q888piC3JY.jpg","/01/73/79/66C888piCp89.jpg","/01/73/79/65J888piCpZI.jpg","/01/73/79/67v888piCW8f.jpg","/01/73/79/68N888piCafT.jpg","/01/73/79/70q888piCsXZ.jpg","/01/73/79/64A888piCCSq.jpg","/01/73/79/63f888piCs5H.jpg","/01/73/79/59G888piCZgx.jpg","/01/73/79/62B888piCtXd.jpg","/01/73/79/61d888piC9bj.jpg","/01/73/79/60E888piCX97.jpg","/01/73/79/56R888piCUuG.jpg","/01/73/79/55D888piC7wC.jpg","/01/73/79/57b888piCUZ4.jpg","/01/73/79/494888piCpmM.jpg","/01/73/79/53c888piCuHP.jpg","/01/73/79/525888piCUvq.jpg","/01/73/79/47f888piC5RU.jpg","/01/73/79/583888piCvnN.jpg","/01/73/79/48v888piCE5G.jpg","/01/73/79/50E888piCzyZ.jpg","/01/73/79/54g888piCCPv.jpg","/01/73/79/51G888piCFps.jpg","/01/73/79/469888piCpnP.jpg","/01/73/79/376888piCgNM.jpg","/01/73/79/392888piCZTJ.jpg","/01/73/79/356888piCpcP.jpg","/01/73/79/38u888piCp4s.jpg","/01/73/79/34t888piCRkE.jpg","/01/73/79/45f888piCFQs.jpg","/01/73/79/449888piC2rF.jpg","/01/73/79/432888piCzMZ.jpg","/01/73/79/42z888piC67D.jpg","/01/73/79/41p888piCa8Q.jpg","/01/73/79/40w888piCz8J.jpg","/01/73/79/06c888piCHSa.jpg","/01/73/79/07c888piCiTd.jpg","/01/73/79/08z888piCjSK.jpg","/01/73/79/09w888piCCsF.jpg","/01/54/62/77rpIkbEsTn9f.jpg","/01/54/62/75jpIkbEsTtNQ.jpg","/01/54/57/89wpIkbEsTefX.jpg","/01/54/55/61SpIkbEsTb6G.jpg","/01/73/79/10E888piCwpt.jpg","/01/73/79/32e888piCwdn.jpg","/01/73/79/33u888piCHjK.jpg","/01/73/79/16i888piCa8G.jpg","/01/73/79/11h888piCUk5.jpg","/01/73/78/68s888piCBry.jpg","/01/73/79/12U888piCaDS.jpg","/01/73/79/152888piCT5g.jpg","/01/73/79/17W888piCkhm.jpg","/01/73/79/31r888piC62Y.jpg","/01/73/79/30X888piCpmZ.jpg","/01/73/79/21a888piCnEx.jpg","/01/73/79/29s888piCvQJ.jpg","/01/73/79/20x888piCc45.jpg","/01/73/79/188888piCAvP.jpg","/01/73/79/22Q888piCC9x.jpg","/01/73/79/28P888piCTKF.jpg","/01/73/79/23N888piCkuy.jpg","/01/73/79/24b888piC3V8.jpg","/01/73/79/259888piCVHf.jpg","/01/73/79/03D888piCtqT.jpg","/01/73/79/27j888piCfgA.jpg","/01/73/79/26M888piCIpi.jpg","/01/73/79/13q888piCWuf.jpg","/01/73/79/19R888piCUau.jpg","/01/73/79/146888piCEIJ.jpg","/01/73/79/046888piCDIr.jpg","/01/73/79/02H888piCWwF.jpg","/01/73/79/05I888piCaJC.jpg","/01/73/79/01m888piCveq.jpg","/01/73/79/00z888piC5Mn.jpg","/01/73/78/88p888piCdUu.jpg","/01/73/78/99u888piCNsT.jpg","/01/73/78/89r888piCm4v.jpg","/18/44/33/65S888piCJhF.jpg","/01/73/78/91S888piCPHy.jpg","/01/73/78/97T888piCtBA.jpg","/01/73/78/95a888piCZJP.jpg","/01/73/78/90N888piCizp.jpg","/01/73/78/86u888piCIHP.jpg","/01/73/78/96r888piC7Xj.jpg","/01/73/78/94E888piCDpq.jpg","/01/73/78/888piC3W888piCG5F.jpg","/01/73/78/888piC2E888piCM4b.jpg","/01/73/78/85E888piCbc4.jpg","/01/73/78/846888piCpYv.jpg","/01/73/78/83w888piCKg6.jpg","/01/73/78/82g888piCuA4.jpg","/01/73/78/81p888piCWzb.jpg","/01/73/78/76g888piCATr.jpg","/01/73/78/79k888piCPhX.jpg","/01/73/78/78i888piCu8N.jpg","/01/73/78/73G888piCmkV.jpg","/01/73/78/805888piCFrh.jpg","/01/73/78/77T888piCg3f.jpg","/01/73/78/75s888piCjE7.jpg","/01/73/78/65q888piCjZV.jpg","/01/73/78/74h888piCwRe.jpg","/01/73/78/72x888piC4wt.jpg","/01/73/78/70p888piCkud.jpg","/01/73/78/71b888piCy2f.jpg","/01/73/78/69v888piCUS4.jpg","/01/73/78/66c888piCQ5W.jpg","/01/73/78/67a888piCXVK.jpg","/01/73/78/539888piCpYW.jpg","/18/44/33/34c888piCfXd.jpg","/18/44/33/33W888piC4G7.jpg","/18/44/33/32T888piCB26.jpg","/01/73/78/62v888piCVfa.jpg","/01/73/78/58E888piCbDK.jpg","/01/73/78/60Z888piC8yM.jpg","/18/44/33/28A888piCvSg.jpg","/01/73/78/597888piCfsw.jpg","/01/73/78/57Z888piCctR.jpg","/01/73/78/56Q888piCV2U.jpg","/01/73/78/55t888piCcI7.jpg","/01/73/78/06C888piCyFe.jpg","/01/73/78/52m888piCtJA.jpg","/01/73/78/47D888piCTYE.jpg","/01/73/78/50V888piCIfs.jpg","/01/73/78/51M888piCC5q.jpg","/01/73/78/49n888piCyhZ.jpg","/01/73/78/48Y888piCEKH.jpg","/01/73/78/46H888piCM8w.jpg","/18/44/33/15u888piCJia.jpg","/01/73/78/445888piCR2T.jpg","/18/44/33/13F888piCxiw.jpg","/01/73/78/42W888piCw3r.jpg","/01/73/78/41x888piCKCH.jpg","/01/73/78/39u888piCY8i.jpg","/18/44/33/09D888piCfTc.jpg","/01/73/78/40M888piCpHf.jpg","/01/73/78/38G888piCgae.jpg","/01/73/78/37b888piCzSY.jpg","/01/73/78/22R888piCyGr.jpg","/01/73/78/35s888piCg86.jpg","/01/73/78/28m888piC6qn.jpg","/01/73/78/267888piCJjq.jpg","/01/73/78/23S888piCbwV.jpg","/01/73/78/245888piCrz2.jpg","/01/73/78/12I888piCewk.jpg","/01/73/78/13e888piCqfN.jpg","/01/73/78/14W888piCN3E.jpg","/01/73/78/10Q888piCA4B.jpg","/01/73/78/159888piCH7j.jpg","/01/73/78/16Z888piCrWU.jpg","/01/73/78/17g888piCKPW.jpg","/01/73/78/08m888piCVFE.jpg","/01/73/78/114888piCQ2N.jpg","/01/73/78/18f888piCpRG.jpg","/01/73/78/05P888piC3KV.jpg","/01/73/78/192888piCQHr.jpg","/01/73/78/20S888piCKrq.jpg","/18/44/32/86T888piCRsA.jpg","/01/73/78/07I888piCzWX.jpg","/01/73/78/04F888piCrzf.jpg","/01/73/78/03f888piCsX7.jpg","/01/73/78/02g888piC2Gt.jpg","/01/73/78/00P888piCxkb.jpg","/01/73/77/96a888piCFZC.jpg","/01/73/77/90A888piCQsP.jpg","/01/73/78/016888piCGRW.jpg","/01/73/77/98n888piC7J6.jpg","/01/73/77/934888piCxMK.jpg","/18/44/32/757888piCH59.jpg","/01/73/77/888piC44888piCrab.jpg","/01/73/77/97U888piCGj5.jpg","/01/73/77/92C888piCnNq.jpg","/01/73/77/95D888piC63C.jpg","/01/73/77/888piC15888piCDeF.jpg","/01/73/77/893888piCdsJ.jpg","/01/73/77/88f888piCmw7.jpg","/01/73/77/87H888piCitq.jpg","/01/73/77/86c888piCyYK.jpg","/01/73/77/49C888piCVFI.jpg","/01/73/77/84D888piCUTA.jpg","/01/73/77/83j888piCuCc.jpg","/01/73/77/82M888piCVtS.jpg","/01/73/77/80g888piCv9I.jpg","/01/73/77/81E888piCkCS.jpg","/01/73/77/75N888piCuiJ.jpg","/01/73/77/79Z888piCaJn.jpg","/18/44/32/57S888piCCmM.jpg","/01/73/77/77I888piC5xB.jpg","/01/73/77/78V888piC7ZM.jpg","/01/73/77/74B888piC8rS.jpg","/01/73/77/70V888piC56w.jpg","/01/73/77/72b888piCJ4x.jpg","/01/73/77/67Z888piCvBX.jpg","/01/73/77/683888piCEgz.jpg","/01/73/77/69h888piCFjJ.jpg","/01/73/77/653888piCZBe.jpg","/01/73/77/64N888piCQ8V.jpg","/01/73/77/627888piCavD.jpg","/01/73/77/66X888piCxw7.jpg","/01/73/77/63Z888piCquQ.jpg","/01/73/77/61Z888piCak9.jpg","/01/73/77/888piC0H888piCSNp.jpg","/01/73/77/59z888piCIcR.jpg","/01/73/77/534888piCuBD.jpg","/01/73/77/57z888piC4GB.jpg","/01/73/77/56a888piCqPA.jpg","/01/73/77/54d888piCEvB.jpg","/01/73/77/55K888piCfcx.jpg","/18/44/32/35W888piCJ7G.jpg","/01/73/77/51k888piCd2w.jpg","/18/44/32/33Y888piCPBp.jpg","/18/44/32/323888piCHN2.jpg","/18/44/32/319888piCzJM.jpg","/01/73/77/46u888piCnz6.jpg","/18/44/32/29T888piC3I4.jpg","/01/73/77/44V888piCEyv.jpg","/01/73/77/42I888piCSWp.jpg","/01/73/77/43X888piCTsJ.jpg","/01/73/77/41K888piCiQp.jpg","/01/73/77/37e888piCgCF.jpg","/01/73/77/39I888piCK6A.jpg","/01/73/77/3888piCP888piCNt7.jpg","/01/73/77/40Y888piC6Zz.jpg","/01/73/77/36a888piCQcd.jpg","/01/73/77/35e888piC7Q6.jpg","/18/44/32/18V888piCD2U.jpg","/01/73/77/344888piCVJc.jpg","/18/44/32/16U888piCfQs.jpg","/01/73/77/31m888piCgF6.jpg","/01/73/77/26b888piCHBK.jpg","/01/73/77/29e888piCVyx.jpg","/01/73/77/30V888piChwW.jpg","/01/73/77/22W888piCAsE.jpg","/01/73/77/24p888piCjsR.jpg","/01/73/77/23m888piCzMq.jpg","/18/44/32/08z888piCckF.jpg","/01/73/77/202888piCTXm.jpg","/18/44/32/06h888piCUtZ.jpg","/01/73/77/188888piCKEF.jpg","/01/73/77/17N888piCrQq.jpg","/01/73/77/16j888piC6kn.jpg","/18/44/32/02P888piCefZ.jpg","/01/73/77/14m888piCE6J.jpg","/01/73/77/06h888piCjY6.jpg","/01/73/77/12X888piCEtb.jpg","/18/44/31/98p888piC5Aa.jpg","/01/73/77/11E888piC7JC.jpg","/01/73/77/10b888piCH6v.jpg","/01/73/77/07r888piC7ZV.jpg","/18/44/31/94B888piC6N3.jpg","/01/73/77/086888piCbwn.jpg","/01/73/77/05a888piC2xG.jpg","/01/73/77/03V888piCKkz.jpg","/01/73/77/04K888piCcrq.jpg","/01/73/77/02X888piCuZT.jpg","/01/73/77/01D888piCqr6.jpg","/01/73/77/00V888piCc4Y.jpg","/01/73/76/99B888piCv95.jpg","/01/73/76/975888piCXaY.jpg","/01/73/76/96w888piCXam.jpg","/01/73/64/59v888piCjBD.jpg","/01/73/76/95c888piC8aC.jpg","/18/44/31/817888piC8rx.jpg","/01/73/76/939888piCyIT.jpg","/18/44/31/794888piCQ3n.jpg","/01/73/76/89u888piCH6N.jpg","/01/73/76/88R888piCpT8.jpg","/01/73/76/848888piCazH.jpg","/01/73/76/854888piCutN.jpg","/01/73/76/838888piCBZi.jpg","/01/73/76/82S888piCutN.jpg","/18/44/31/72z888piCv6x.jpg","/01/73/76/81r888piCY6S.jpg","/01/73/76/618888piCrgB.jpg","/01/73/76/773888piCTJ2.jpg","/01/73/76/76e888piCsSZ.jpg","/01/73/76/79U888piCFXZ.jpg","/01/73/76/75z888piCQIf.jpg","/01/73/76/74m888piCnXI.jpg","/01/73/76/73g888piCD79.jpg","/01/73/76/72H888piCxkG.jpg","/01/73/76/78J888piCDAq.jpg","/01/73/76/71n888piCpMJ.jpg","/01/73/76/70F888piCKrJ.jpg","/18/44/31/59R888piCpZX.jpg","/01/73/76/69T888piC7GI.jpg","/01/73/76/67C888piCvD5.jpg","/01/73/76/66P888piCwrz.jpg","/01/73/76/60c888piCyiz.jpg","/01/73/76/888piC4k888piCfsI.jpg","/18/44/31/53u888piCan6.jpg","/01/73/76/58Q888piCyhu.jpg","/01/73/76/65a888piCpSM.jpg","/01/73/76/579888piCMcG.jpg","/18/44/31/49t888piCBWA.jpg","/01/73/76/555888piC697.jpg","/01/73/75/516888piCTAh.jpg","/01/73/75/50M888piC8Tm.jpg","/01/73/75/48t888piC4ns.jpg","/01/73/75/49B888piC8SF.jpg","/01/73/76/568888piCK6X.jpg","/18/44/31/42z888piCBX8.jpg","/01/73/76/49B888piCdky.jpg","/01/73/76/539888piCjPg.jpg","/01/73/76/52Y888piCveA.jpg","/01/73/76/50g888piC8tE.jpg","/01/73/76/48d888piCgmI.jpg","/18/44/31/36D888piCk9e.jpg","/01/73/76/46d888piCNYX.jpg","/01/73/76/45m888piCSfb.jpg","/01/73/76/43V888piCDAP.jpg","/01/73/76/443888piCpbC.jpg","/01/73/76/33C888piCvhx.jpg","/01/73/76/42i888piCTeE.jpg","/18/44/31/298888piCJfd.jpg","/01/73/76/30X888piCihw.jpg","/01/73/76/40T888piCMJ5.jpg","/01/73/76/34S888piCI4f.jpg","/01/73/76/39N888piCtwb.jpg","/01/73/76/355888piC7QT.jpg","/18/44/31/23u888piC2zw.jpg","/18/44/31/22Y888piCyit.jpg","/01/73/76/37d888piCIe9.jpg","/01/73/76/36U888piCXJS.jpg","/01/73/76/325888piCmsF.jpg","/01/73/76/29W888piCGv6.jpg","/01/73/76/27E888piCs4e.jpg","/01/73/76/28q888piCRQI.jpg","/01/73/76/26J888piCGvh.jpg","/01/73/76/25c888piCxkz.jpg","/18/44/31/13e888piCPX5.jpg","/01/73/76/207888piCMpe.jpg","/01/73/76/22V888piCiA5.jpg","/01/73/76/24q888piCQm5.jpg","/01/73/76/23b888piCAjY.jpg","/01/73/76/21s888piCU95.jpg","/01/73/17/72v888piCdY7.jpg","/01/73/76/19a888piCKXc.jpg","/01/73/76/18d888piCXg4.jpg","/01/73/76/17i888piCqTx.jpg","/01/73/76/16z888piCprN.jpg","/01/73/76/15D888piCkHV.jpg","/01/73/76/13t888piCVqs.jpg","/01/73/76/11Z888piCsCe.jpg","/01/73/76/07z888piCuW7.jpg","/01/73/76/10E888piCSu8.jpg","/01/73/76/10E888piCSu8.jpg","/01/73/76/10E888piCSu8.jpg","/01/73/76/10E888piCSu8.jpg","/18/44/30/94S888piC4e3.jpg","/01/73/76/08w888piC3ms.jpg","/01/73/76/06f888piCdmc.jpg","/01/73/76/05B888piCSYc.jpg","/01/73/75/94X888piCrIC.jpg","/01/73/76/03R888piCSiB.jpg","/01/73/76/02N888piC5Qj.jpg","/01/73/76/01G888piCqaR.jpg","/01/73/76/00q888piC9kV.jpg","/01/73/75/95m888piC4h8.jpg","/01/73/75/96C888piCdpb.jpg","/01/73/75/97R888piCFWh.jpg","/01/73/75/98Q888piCBEk.jpg","/01/73/75/99C888piCa5N.jpg","/01/73/75/93d888piCUMx.jpg","/01/73/75/92E888piCnwp.jpg","/01/73/75/91T888piCYh6.jpg","/01/73/75/904888piCbHa.jpg","/01/73/75/89Q888piCdyD.jpg","/01/73/75/88R888piC6y8.jpg","/01/73/75/817888piCGCH.jpg","/01/54/42/66KpIkbEsTGIS.jpg","/01/54/41/28QpIkbEsTp5D.jpg","/01/54/41/18vpIkbEsTmGz.jpg","/01/54/40/85CpIkbEsTbiY.jpg","/01/54/40/82fpIkbEsTJkC.jpg","/01/54/40/70ipIkbEsTduP.jpg","/01/54/40/36RpIkbEsTAgV.jpg","/01/54/39/93DpIkbEsTrRm.jpg","/01/54/37/97zpIkbEsT4XE.jpg","/01/54/37/899pIkbEsTmrK.jpg","/01/54/37/64fpIkbEsT2M3.jpg","/01/54/36/80RpIkbEsThHg.jpg","/01/54/34/07ApIkbEsTYVR.jpg","/01/54/33/60NpIkbEsTvjJ.jpg","/01/54/33/57JpIkbEsTVFm.jpg","/01/54/33/23ipIkbEsTsgw.jpg","/01/54/33/04QpIkbEsTAYi.jpg","/01/54/33/03jpIkbEsTqwv.jpg","/01/73/75/878888piC2ZI.jpg","/01/73/75/86a888piCTIg.jpg","/01/73/75/852888piC5yD.jpg","/01/73/75/83U888piC2fF.jpg","/01/73/75/84e888piC4kf.jpg","/01/73/75/826888piCiga.jpg","/01/73/75/76A888piCS9K.jpg","/01/73/75/80w888piCJvx.jpg","/18/44/30/47x888piCqpf.jpg","/01/73/75/78H888piCiEb.jpg","/01/73/75/77b888piCYiZ.jpg","/01/73/75/75I888piC93s.jpg","/01/73/75/662888piCBm7.jpg","/01/73/75/73z888piCFM2.jpg","/01/73/75/74Z888piCTRH.jpg","/01/73/75/72J888piCBb3.jpg","/01/73/75/71g888piCY2A.jpg","/01/73/75/888piC0E888piChum.jpg","/01/73/75/693888piCgyG.jpg","/01/73/75/68G888piCk9J.jpg","/01/73/75/67Q888piC7Nt.jpg","/18/44/30/344888piCN7a.jpg","/01/73/75/60n888piCYMi.jpg","/01/73/75/62J888piCyD2.jpg","/01/73/75/63k888piCsXU.jpg","/01/73/75/61j888piCr2D.jpg","/01/73/75/595888piCJzR.jpg","/01/73/75/58g888piCEqF.jpg","/01/73/75/57z888piChfa.jpg","/01/73/75/56h888piCsSH.jpg","/18/44/30/258888piC92C.jpg","/01/73/75/54x888piCQRV.jpg","/01/73/75/53q888piC8jZ.jpg","/01/73/75/525888piCpVR.jpg","/01/73/75/46s888piC7H4.jpg","/01/73/75/474888piCFkQ.jpg","/01/73/75/45F888piCpP4.jpg","/01/73/75/44q888piCgVi.jpg","/01/73/75/43H888piCWcC.jpg","/01/73/75/42d888piCamP.jpg","/01/73/75/41g888piCutK.jpg","/01/73/75/40g888piCGUp.jpg","/01/73/75/394888piC5ZG.jpg","/01/73/75/38j888piCBqk.jpg","/01/73/75/379888piCEYj.jpg","/01/73/75/36Y888piCU4R.jpg","/01/73/75/35i888piCXWN.jpg","/01/73/75/34z888piCY8M.jpg","/01/73/75/339888piCZf6.jpg","/01/73/75/31E888piCSXZ.jpg","/01/73/75/32n888piCyB8.jpg","/01/73/75/309888piCvr3.jpg","/01/73/75/28K888piC2Fy.jpg","/01/73/75/27U888piCd7w.jpg","/01/73/75/29S888piCrC4.jpg","/01/73/75/253888piCify.jpg","/01/73/75/26s888piCRjW.jpg","/01/73/75/24Y888piCGtr.jpg","/01/73/75/23a888piCP84.jpg","/01/73/75/22P888piCVRT.jpg","/01/73/75/21V888piCgNj.jpg","/01/73/75/19g888piCIay.jpg","/18/44/29/933888piCbWX.jpg","/01/73/75/08B888piC7Ck.jpg","/01/73/75/17E888piCWn6.jpg","/01/73/75/16Q888piCAI8.jpg","/01/73/75/15t888piC5rb.jpg","/01/73/75/148888piChs3.jpg","/01/73/75/129888piCBge.jpg","/01/73/75/11Z888piCvWa.jpg","/18/44/29/85y888piCWgK.jpg","/01/73/75/07j888piCGhS.jpg","/01/73/75/06J888piCNPW.jpg","/01/73/75/055888piCNYM.jpg","/01/73/75/04i888piCcd5.jpg","/01/73/75/024888piCWFd.jpg","/01/73/75/01z888piCZ4d.jpg","/01/73/75/03F888piCHXa.jpg","/18/44/29/77w888piCByc.jpg","/18/44/29/76Z888piCxQv.jpg","/01/73/74/98u888piCRs4.jpg","/18/44/29/742888piCRId.jpg","/01/73/74/94m888piCwkD.jpg","/01/73/74/95P888piCXiw.jpg","/01/73/74/90a888piCfwz.jpg","/01/73/74/913888piCPaH.jpg","/01/73/74/93X888piCewC.jpg","/01/73/74/92u888piCkV9.jpg","/18/44/29/67u888piCa83.jpg","/01/73/74/89E888piCtPj.jpg","/01/73/74/88Q888piCzde.jpg","/01/73/74/86c888piCVMp.jpg","/18/44/29/632888piC7HA.jpg","/01/73/74/84C888piCyp6.jpg","/01/73/74/839888piCFfC.jpg","/01/73/74/80c888piCBuq.jpg","/01/73/74/81t888piCpQZ.jpg","/18/44/29/58s888piC3uv.jpg","/01/73/74/79p888piCtGw.jpg","/18/44/29/56f888piCzCQ.jpg","/18/44/29/55W888piCD56.jpg","/01/73/74/76d888piCuEA.jpg","/18/44/29/53C888piCKUJ.jpg","/01/73/74/74N888piCjdA.jpg","/01/73/74/888piC3F888piCjpM.jpg","/01/73/74/71Y888piCCZ6.jpg","/01/73/74/72x888piCkzV.jpg","/01/73/74/70B888piCDCN.jpg","/01/73/74/69p888piCVEN.jpg","/01/73/74/687888piCknJ.jpg","/01/73/74/64h888piCQHI.jpg","/01/73/74/67a888piCbYN.jpg","/01/73/74/63K888piCMWx.jpg","/01/73/74/62a888piCCNR.jpg","/01/73/74/66x888piCTbe.jpg","/01/73/74/59y888piCx8Z.jpg","/01/73/74/65t888piCQgA.jpg","/18/44/29/38X888piCY8B.jpg","/01/73/74/603888piCuMg.jpg","/01/73/74/58e888piC97f.jpg","/01/73/74/57Q888piCvwK.jpg","/01/73/74/54Z888piCIsY.jpg","/01/73/74/53s888piCn5z.jpg","/01/73/74/524888piCXCW.jpg","/18/44/29/31h888piCfDu.jpg","/01/73/74/50D888piCQXq.jpg","/01/73/74/51q888piCbHU.jpg","/01/73/74/49w888piCsmS.jpg","/18/44/29/27p888piCAq3.jpg","/01/73/74/40W888piCy75.jpg","/01/73/74/46h888piCvdG.jpg","/18/44/29/247888piCTts.jpg","/01/73/74/45M888piCuA9.jpg","/01/73/74/36b888piCCQH.jpg","/01/73/74/43M888piCBTz.jpg","/01/73/74/445888piCGkV.jpg","/01/73/74/39H888piCIcV.jpg","/01/73/74/38g888piCJ4D.jpg","/01/73/74/376888piChn8.jpg","/18/44/29/16P888piCgFk.jpg","/01/73/74/33M888piCX4q.jpg","/01/73/74/34t888piCZQG.jpg","/01/73/74/32z888piCbp7.jpg","/01/73/74/31Z888piCmqH.jpg","/01/73/74/30z888piCkHV.jpg","/01/73/74/29d888piCG3D.jpg","/18/44/29/09X888piCDGZ.jpg","/01/73/74/25Y888piCf2e.jpg","/01/73/74/27f888piCxjV.jpg","/01/73/74/26d888piCFr6.jpg","/01/73/74/24p888piCfsw.jpg","/18/44/29/04D888piCCTh.jpg","/01/73/74/22Q888piCHyV.jpg","/01/73/74/12u888piCA5I.jpg","/01/73/74/888piC1g888piCahx.jpg","/01/73/74/208888piCyai.jpg","/01/73/74/19s888piCM7k.jpg","/01/73/74/188888piCmuW.jpg","/18/44/28/97k888piC3Wy.jpg","/01/73/74/16E888piC3Dj.jpg","/18/44/28/95P888piCMUw.jpg","/01/73/74/15J888piCrvc.jpg","/01/73/74/10S888piCZv5.jpg","/01/73/74/11y888piCHzd.jpg","/01/73/74/09a888piCm2R.jpg","/01/73/74/083888piC5nA.jpg","/01/73/74/065888piCxaJ.jpg","/01/73/73/97c888piCwnu.jpg","/01/73/73/96p888piC8zg.jpg","/01/73/74/079888piCFG8.jpg","/01/73/73/98B888piCnhr.jpg","/01/73/73/93e888piCG4h.jpg","/18/44/28/83n888piCw5u.jpg","/18/44/28/82t888piCkH6.jpg","/01/73/73/92d888piCAJW.jpg","/01/73/73/99G888piCfR3.jpg","/01/73/74/054888piCatV.jpg","/01/73/73/90C888piCiAD.jpg","/01/73/73/892888piCXwp.jpg","/01/73/74/0888piCI888piCezw.jpg","/01/73/73/88M888piC2nu.jpg","/01/73/74/017888piCXYP.jpg","/01/73/74/00R888piCqK5.jpg","/01/73/73/87s888piCdVS.jpg","/01/73/73/94g888piCsth.jpg","/01/73/73/91k888piCPmV.jpg","/18/44/28/69H888piC9qE.jpg","/01/73/73/866888piCEJP.jpg",""}

	wsNumber := 10
	var ws sync.WaitGroup
	ws.Add(wsNumber)

	for k,v := range list{

		if(k%(wsNumber+1)!=0 || k==0){
			fmt.Println(k)
			go GetHttpImage("images", "https://pic.ibaotu.com"+v + "-0.jpg!fwc238", &ws)
		} else {
			fmt.Println("等待")
			ws.Wait()
			ws.Add(wsNumber)
		}

	}

}