package main

import (
	"fmt"
	"net/http"
	"github.com/julienschmidt/httprouter"
)

func index(w http.ResponseWriter, r *http.Request, p httprouter.Params) {
	fmt.Fprintf(w, "it is index")
}

func user(w http.ResponseWriter, r *http.Request, p httprouter.Params)  {
	fmt.Fprintf(w, "it is user, %s", p.ByName("name"))
}

func main()  {

	mux := httprouter.New()
	mux.GET("/index", index)
	mux.GET("/user/:name", user)

	s := http.Server{
		Addr: ":1032",
		Handler: mux,
	}

	s.ListenAndServe();
}