package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
)

func headers(w http.ResponseWriter,r *http.Request) {

	 header := r.Header
	 leng := r.ContentLength
	 body := make([]byte, leng)
	 r.Body.Read(body)
	r.ParseForm()

	fmt.Fprintf(w, "<p style='color:red;'>header头</p><hr/></n>")
	fmt.Fprintf(w,"{%s} \n ", header)

	fmt.Fprintf(w, "<p style='color:red;'>body体</p><hr/></n>")
	fmt.Fprintf(w,"%s \n",string(body))

}

/**
 同时获取 URL 和 body 内参数
 */
func form(w http.ResponseWriter,r *http.Request)  {

	fmt.Fprintf(w, "<p style='color:red;'>Form体</p><hr/></n>")
	r.ParseForm()
	fmt.Fprintln(w,r.Form)
}

/**
 只获取 from 中的 post
 */
func postForm(w http.ResponseWriter,r *http.Request) {
	r.ParseForm()
	fmt.Fprintf(w, "<p style='color:red;'>dataForm体</p><hr/></n>")
	fmt.Fprintln(w,r.PostForm)
	fmt.Fprintf(w, "<p style='color:red;'>aaa</p><hr/></n>")
	fmt.Fprintln(w,r.PostForm["aaa"])

}

/**
 快速获取post
 */
func postFormValue(w http.ResponseWriter,r *http.Request)  {
	fmt.Fprintln(w,r.PostFormValue("aaa"))
}

func upload(w http.ResponseWriter, r *http.Request) {


	r.ParseMultipartForm(100 << 20)
	files := r.MultipartForm.File["upload"][0]
	fil,err :=files.Open()

	if err == nil {
		data,_ := ioutil.ReadAll(fil)
		fmt.Fprintln(w, string(data))
	} else {
		fmt.Fprint(w,"文件错误")
	}

	fmt.Print(files.Filename)
}



func main()  {
	mux := http.NewServeMux()
	mux.HandleFunc("/", headers)
	mux.HandleFunc("/form",form)
	mux.HandleFunc("/postForm",postForm)
	mux.HandleFunc("/postFormValue",postFormValue)
	mux.HandleFunc("/upload",upload)

	s := http.Server{
		Addr:":1232",
		Handler:mux,
	}

	fmt.Print("成功 -> 127.0.0.1:1232 \n")
	err := s.ListenAndServe()

	if err != nil {
		fmt.Print(".....失败")
	}
}
