package main

import (
	"html/template"
	"math/rand"
	"net/http"
	"time"
)

func index(w http.ResponseWriter, r *http.Request) {
	html,_ := template.ParseFiles("index.html", "includeTemp.html")
	html.Execute(w, "模板变量")
}

func tempIf(w http.ResponseWriter, r *http.Request)  {

	html := template.Must(template.ParseGlob("*.html"))
	rand.Seed(time.Now().Unix())
	html.ExecuteTemplate(w, "if.html",rand.Intn(3) == 1)

}

func tempRange(w http.ResponseWriter, r *http.Request) {
	data  :=  []string{"aaa", "bbb", "ccc"}
	html,_ := template.ParseFiles("range.html")
	html.Execute(w,data)
}

func formatDate(t time.Time) string{
	layout := "2006年01月02日"
	return t.Format(layout)
}

func setFunc(w http.ResponseWriter, r *http.Request)  {
	funcMap := template.FuncMap{"date": formatDate}
	t := template.New("now.html").Funcs(funcMap)
	f,_ := t.ParseFiles("now.html")
	f.Execute(w, time.Now())
}


func main()  {
	http.HandleFunc("/", index)
	http.HandleFunc("/if", tempIf)
	http.HandleFunc("/range", tempRange)
	http.HandleFunc("/func", setFunc)
	http.ListenAndServe(":3333", nil)
}
